<?php
namespace App\HttpModels;

use App\Models\Meeting;

class MeetingWithLobbyModel extends MeetingModel {

    public $lobby;
    public $targetPro;

    public function __construct(Meeting $meeting)
    {
        parent::__construct($meeting);

        if ($meeting->lobby_id)
        {
            $this->lobby = new ClientLobbyModel($meeting->lobby);
        }
        if ($meeting->target_lobby_pro_id)
            $this->targetPro = new LobbyProModel($meeting->targetLobbyPro->pro);
    }
}